FreeMat

- Main Page
- Related Pages

vtkImageCheckerboard

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageCheckerboard displays two images as one using a checkerboard pattern. This filter can be used to compare two images. The checkerboard pattern is controlled by the NumberOfDivisions ivar. This controls the number of checkerboard divisions in the whole extent of the image.

To create an instance of class vtkImageCheckerboard, simply invoke its constructor as follows

      obj = vtkImageCheckerboard

# Methods

The class vtkImageCheckerboard has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageCheckerboard class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageCheckerboard = obj.NewInstance ()`
- `vtkImageCheckerboard = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfDivisions (int , int , int )` - Set/Get the number of divisions along each axis.
- `obj.SetNumberOfDivisions (int a[3])` - Set/Get the number of divisions along each axis.
- `int = obj. GetNumberOfDivisions ()` - Set/Get the number of divisions along each axis.
- `obj.SetInput1 (vtkDataObject in)` - Set the two inputs to this filter
- `obj.SetInput2 (vtkDataObject in)`